/* 1080px */

@media screen and (max-width: 1080px) {
    nav .new-links  {
        margin: 0 1rem;
    }
}

/* 1020px */

@media screen and (max-width: 1020px) {
    nav .nav-links li {
        margin: 0 0.5rem;
    }

    .swiper-slide .swiper-title {
        font-size: 32px;
    }

    .swiper-slide .swiper-text {
        font-size: 13px;
    }

    .swiper-slide .swiper-image {
        max-width: 500px;
        height: 350px;
    }
    
    .swiper-horizontal>.swiper-pagination-bullets, 
    .swiper-pagination-bullets.swiper-pagination-horizontal {
        left: 200px;
    }

    .page-title {
        font-size: 32px;
    }

    .page-text {
        font-size: 14px;
    }

    .btn {
        font-size: 16px;
    }

    .card-content {
        gap: 0.5rem;
    }

    .card-icon {
        font-size: 40px;
    }

    .card-title {
        font-size: 20px;
    }

    .card-text {
        width: 200px;
        font-size: 14px;
    }

    .card-price {
        font-size: 18px;
    }

    .broadband-btn {
        margin-top: 1.5rem;
    }

    .section-title {
        font-size: 42px;
    }

    .section-text {
        font-size: 20px;
    }

    .about-left img {
        width: 240px;
    }

    .about-heading {
        font-size: 30px;
    }

    .about-text {
        line-height: 1.5;
    }

    .happy-circle {
        width: 160px;
        height: 160px;
    }

    .happy-title{
        font-size: 16px;
    }

    .number {
        font-size: 22px;
    }

    .happy-sub-title {
        font-size: 14px;
    }

    .price .package-item-title {
        font-size: 16px;
    }

    .services .section-text {
        margin-bottom: 1rem;
    }

    .services-card-icon i {
        font-size: 40px;
    }

    .services-card-title {
        font-size: 18px;
    }

    .services-card-text {
        font-size: 14px;
    }

    .services-info {
        font-size: 16px;
    }

    .contact-info .col-1 i {
        font-size: 23px;
    }

    .contact-info-heading {
        font-size: 16px;
    }
}

/* 870 */

@media screen and (max-width: 870px) {

    .nav-links {
        display: none;
    }

    .menubar {
        display: flex;
    }

    .nav-links {
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        right: 0;
        background-color: rgba(80, 247, 253, 0.897);
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        transform: translateX(100%);
        transition: 0.5s;
        z-index: 6;
    }

    .nav-links ul {
        flex-direction: column;
    }


    nav .nav-links li:hover a::after,
    nav .nav-links li:hover a::before {
        width: 0%;
    }

    .header-heading {
        font-size: 48px;
    }

    .page-title {
        font-size: 28px;
    }

    .card-icon {
        flex: 1;
        font-size: 30px;
        justify-content: center;
    }
    
    .card-info {
        flex: 2;
    } 

    .card-title {
        font-size: 18px;
    }

    .card-text {
        width: 200px;
        font-size: 13px;
    }

    .card-price {
        font-size: 16px;
    }

    .section-title {
        font-size: 36px;
    }

    .section-text {
        font-size: 18px;
    }

    .about-left img {
        width: 200px;
    }

    .about-heading {
        font-size: 26px;
    }

    .about-text {
        line-height: 1.2;
    }

    .happy-circle {
        width: 140px;
        height: 140px;
    }

    .happy-title{
        font-size: 15px;
    }

    .number {
        font-size: 20px;
    }

    .happy-sub-title {
        font-size: 12px;
    }

    .package-item {
        width: 33.33%;
    }

    .title-sm {
        font-size: 14px;
    }

    .footer-links a {
        font-size: 14px;
    }

    .followus-wrap h3 {
        font-size: 14px;
    }

    .social-media a {
        font-size: 1rem;
    }

    .back-btn {
        width: 45px;
        height: 45px;
    }

    .back-btn-wrap::before {
        width: 50px;
        height: 50px;
    }

    .copyright .text {
        font-size: 1rem;
    }
}

/* 768 */
@media screen and (max-width: 768px) {

    .header-heading {
        font-size: 40px;
    }

    .swiper-slide .swiper-title {
        font-size: 30px;
    }

    .swiper-slide .swiper-image {
        max-width: 300px;
        height: 300px;
    }

    .page-title {
        font-size: 22px;
        margin-bottom: 1rem;
    }

    .broadband-cards {
        grid-template-columns: 1fr 1fr;
    }

    .about-heading {
        font-size: 22px;
    }

    .about-text {
        font-size: 14px;
    }

    .services-cards {
        flex-wrap: wrap;
    }

    .services-card {
        flex-basis: 48%;
    }

    .support-content {
        flex-direction: column;
    }

    .support-item {
        flex-basis: 100%;
        border: none;
    }

    .contact .container {
        display: flex;
        flex-direction: column;
    }

    .contact-content {
        padding: 2rem 1rem;
    }

    .contact-form:last-of-type {
        text-align: center;
    }

    .footer .grid-4 {
        grid-template-columns: 3fr 2fr;
    }

    .footer-map, .footer-links {
        text-align: center;
    }

    .bottom-footer {
        grid-row: 2/2;
        justify-content: center;
    }

    .back-btn-wrap {
        grid-row: 1/2 ;
        grid-column: 3/3;
    }

    .copyright .text {
        font-size: 1rem;
    }
}

/* 320 */
@media screen and (min-width: 320px) and (max-width: 539px){
    .header-heading {
        font-size: 28px;
        margin-top: 1rem;
    }

    .swiper-slide {
        flex-direction: column;
    }

    .swiper-slide .swiper-title {
        font-size: 20px;
    }

    .swiper-slide .swiper-text {
        font-size: 13px;
    }

    .swiper-slide .swiper-image {
        margin-top: 3rem;
        max-width: 450px;
        min-height: 200px;
    }

    .swiper-horizontal>.swiper-pagination-bullets, 
    .swiper-pagination-bullets.swiper-pagination-horizontal {
        left: 1px;
        bottom: 10px;
    }

    .page-title {
        font-size: 18px;
    }

    .section-title {
        font-size: 28px;
    }

    .section-text {
        font-size: 16px;
    }

    .broadband-cards {
        grid-template-columns: 1fr;
    }

    .about-content {
        flex-direction: column;
    }

    .about-left {
        margin-left: 0;
        text-align: center;
    }

    .about-left img {
        width: 100px;
    }

    .about-right {
        text-align: center;
        margin-right: 0;
    }

    .happy .container {
        grid-template-columns: repeat(2, 1fr);
    }

    .happy-circle {
        width: 120px;
        height: 120px;
    }

    .happy-title{
        font-size: 12px;
    }

    .number {
        font-size: 18px;
    }

    .happy-sub-title {
        font-size: 10px;
    }

    .package-item {
        width: 100%;
    }

    .services-card {
        flex-basis: 100%;
    }

    .contact-content {
        padding: 1rem 0.5rem;
    }

    .contact-info-heading {
        font-size: 14px;
    }

    .contact-form {
        padding: 0.5rem 1rem;
    }

    .contact-input {
        font-size: 12px;
        padding: 0.5rem 0.5rem;
    }

    .contact-input.textarea {
        min-height: 150px ;
        border-radius: 5px;
    }

    .footer .grid-4 {
        grid-template-columns: 1fr 1fr;
    }

    .footer-map {
        grid-row: 3/3;
        grid-column: 1/3;
    }

    .footer-map iframe {
        width: 200px;
    }

    .bottom-footer {
        grid-row: 2/2;
        grid-column: 1/3;
    }

    .back-btn-wrap {
        grid-row: 2/2;
    }

    .followus h3 {
        font-size: 12px;
    }

    .followus .footer-line {
        width: 30px;
    }

    .social-media a {
        font-size: 1rem;
    }

    .copyright .text {
        font-size: 0.8rem;
    }
}
